clan::ResourceObject Class Reference - ClanLib SDK
Description: clan::ResourceObject Class Reference

Public Member Functions | List of all members
clan::ResourceObject Class Reference
clanCore Resources

Resource proxy of any type. More...

`#include <resource_object.h>`

## Public Member Functions
| ResourceObject ()
template<typename Type>
| ResourceObject (const Resource< Type > &resource)
template<typename Type>
Resource< Type > | cast ()
bool | is_null () const
bool | operator!= (const ResourceObject &other) const
bool | operator< (const ResourceObject &other) const
bool | operator<= (const ResourceObject &other) const
bool | operator== (const ResourceObject &other) const
bool | operator> (const ResourceObject &other) const
bool | operator>= (const ResourceObject &other) const

## Detailed Description

Resource proxy of any type.

## Constructor & Destructor Documentation

## ◆ ResourceObject() [1/2]

clan::ResourceObject::ResourceObject | ( |  | ) |
| inline

Referenced by operator!=(), operator<(), operator<=(), operator==(), operator>(), and operator>=().

## ◆ ResourceObject() [2/2]

template<typename Type>

clan::ResourceObject::ResourceObject | ( | const Resource< Type > & | resource | ) |
| inline

## Member Function Documentation

## ◆ cast()

template<typename Type>

Resource< Type > clan::ResourceObject::cast | ( |  | ) |
| inline

## ◆ is_null()

bool clan::ResourceObject::is_null | ( |  | ) | const
| inline

## ◆ operator!=()

bool clan::ResourceObject::operator!= | ( | const ResourceObject & | other | ) | const
| inline

References ResourceObject().

## ◆ operator<()

bool clan::ResourceObject::operator< | ( | const ResourceObject & | other | ) | const
| inline

References ResourceObject().

## ◆ operator<=()

bool clan::ResourceObject::operator<= | ( | const ResourceObject & | other | ) | const
| inline

References ResourceObject().

## ◆ operator==()

bool clan::ResourceObject::operator== | ( | const ResourceObject & | other | ) | const
| inline

References ResourceObject().

## ◆ operator>()

bool clan::ResourceObject::operator> | ( | const ResourceObject & | other | ) | const
| inline

References ResourceObject().

## ◆ operator>=()

bool clan::ResourceObject::operator>= | ( | const ResourceObject & | other | ) | const
| inline

References ResourceObject().

The documentation for this class was generated from the following file:

- resource_object.h